Package: org.codehaus.groovy.runtime

## [Java] Class NumberAwareComparator<T>

- org.codehaus.groovy.runtime.NumberAwareComparator

- All Implemented Interfaces and Traits:
    Comparator

      public class NumberAwareComparator
      extends Object

  Compares two objects using Groovy's friendly comparison algorithm, i.e. handles nulls gracefully (nul being less than everything else) and performs numeric type coercion if required.

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `int` | `compare(T o1, T o2)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Method Detail

    - #### public int compare(T o1, T o2)